> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apilens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Recovery Status

> Public status check by token. Used by the recovery page to render the
countdown / confirm / cancelled / expired states.



## OpenAPI

````yaml https://api.apilens.ai/api/v1/openapi.json get /api/v1/auth/recovery/status
openapi: 3.1.0
info:
  title: APILens API
  version: 1.0.0
  description: API Observability Platform
servers: []
security: []
paths:
  /api/v1/auth/recovery/status:
    get:
      tags:
        - Auth
      summary: Recovery Status
      description: |-
        Public status check by token. Used by the recovery page to render the
        countdown / confirm / cancelled / expired states.
      operationId: api_auth_router_recovery_status
      parameters:
        - in: query
          name: token
          schema:
            title: Token
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecoveryStatusResponse'
components:
  schemas:
    RecoveryStatusResponse:
      properties:
        status:
          title: Status
          type: string
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        requested_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Requested At
        available_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Available At
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Expires At
        is_ready:
          default: false
          title: Is Ready
          type: boolean
      required:
        - status
      title: RecoveryStatusResponse
      type: object

````